---
identifier: "SS-2016-014"
package_slug: "packagist/silverstripe/framework"
title: "Pre-existing alc_enc cookies log users in if remember me is disabled"
description: "If remember me is on and users log in with the box checked, if the developer
  then disabled \"remember me\" function, any pre-existing cookies will continue to
  authenticate users."
date: "2016-08-15"
pubdate: "2016-08-15"
affected_range: "<3.1.20-stable||>=3.2.0-alpha0,<3.2.5-stable
  ||>=3.3.0-alpha0,<3.3.3-stable||>=3.4.0-alpha0,<3.4.1-stable"
fixed_versions:
- "3.1.20"
- "3.2.5"
- "3.3.3"
- "3.4.1"
affected_versions: "All versions before 3.1.20, all versions starting from 3.2.0-alpha0
  before 3.2.5, all versions starting from 3.3.0-alpha0 before 3.3.3, all versions
  starting from 3.4.0-alpha0 before 3.4.1"
solution: "Upgrade to latest version."
urls:
- "https://www.silverstripe.org/download/security-releases/ss-2016-014/"
credit: "Patrick Nelson"
uuid: "98a8905f-cc78-4928-873a-c99b438295d3"
